Name:		mkdtboimg
Version:	33.0.1
Release:        1%{?dist}
Summary:	mkdtboimg from the Android SDK Platform Tools.

License:	ASL-2.0
URL:		https://android.googlesource.com/platform/system/libufdt
Source0:	libufdt-%{version}.tar.xz
Patch0:		0001-Convert-mkdtboimg.py-to-python-3.patch

BuildRequires:	python3-devel
Requires:	python3

%description
Android SDK Platform Tool to manipulate DTB/DTBO images. See
https://source.android.com/docs/core/bootloader/dtb-images and
https://source.android.com/devices/bootloader/boot-image-header for more
information on the DTB/DTBO image content and format.


%global debug_package %{nil}


%prep
%autosetup -n libufdt-%{version} -p1


%build


%install
mkdir -p %{buildroot}%{_bindir}
%{__install} -m755 utils/src/mkdtboimg.py %{buildroot}%{_bindir}/mkdtboimg


%check


%files
%license
%doc
%{_bindir}/mkdtboimg


%changelog
* Tue Aug 16 2022 Eric Chanudet <echanude@redhat.com> 33.0.1-1
- Initial packaging.
